Subject: Re: [4/5] powerpc: Remove useless EXC_COMMON_HV

From: Michael Ellerman <[email-masked]>
Date: Thu, 18 Jan 2018 00:30:28 +1100 (AEDT)

On Fri, 2018-01-12 at 02:28:48 UTC, Benjamin Herrenschmidt wrote:
> The only difference between EXC_COMMON_HV and EXC_COMMON is that the
> former adds "2" to the trap number which is supposed to represent the
> fact that this is an "HV" interrupt which uses HSRR0/1.
> 
> However KVM is the only one who cares and it has its own separate macros.
> 
> In fact, we only have one user of EXC_COMMON_HV and it's for an
> unknown interrupt case. All the other ones already using EXC_COMMON.
> 
> Signed-off-by: Benjamin Herrenschmidt <[email-masked]>

Applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/872e2ae4bdd4c244f7617ffc08c394

cheers